<?php
/*
Plugin Name: Fun with Sidebar Tabs
Plugin URI: http://www.wp-fun.co.uk/fun-with-sidebar-tabs/
Description: Adds a tabbed sidebar to your theme
Author: Andrew Rickmann
Version: 0.1.4
Author URI: http://www.wp-fun.co.uk
Generated At: www.wp-fun.co.uk;
*/ 

/*  Copyright 2007  Andrew Rickmann  (email : PLUGIN AUTHOR EMAIL)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

if (!class_exists('fw_tabbed_sidebars')) {
    class fw_tabbed_sidebars	{

		
		/**
		* PHP 4 Compatible Constructor
		*/
		function fw_tabbed_sidebars(){$this->__construct();}
		
		/**
		* PHP 5 Constructor
		*/		
		function __construct(){
		add_action("init", array(&$this,"add_scripts"));
		add_action("init", array(&$this,"register_tabbed_sidebar"));
		add_action("wp_head", array(&$this,"add_css"));
		add_action("plugins_loaded",array(&$this,"register_widget_tabbed_sidebar"));
		}
		
		/**
		* Registers the widget for use
		*/
		function register_widget_tabbed_sidebar($args) {
			register_sidebar_widget("Tabbed Sidebar",array(&$this,"widget_tabbed_sidebar"));
		}
		
		
		/**
		* Contains the widget logic
		*/
		function widget_tabbed_sidebar($args) {
			extract($args);
			echo '<div id="tabs_surround"><div id="tabdisplay"><ul class="tabbed_sidebar">';
			if ( function_exists('dynamic_sidebar') ) { 
			dynamic_sidebar('Tabbed Sidebar');
			 } 
			echo '</ul>';
			echo '</div></div>';
		}

		/**
		* Tells WordPress to load the scripts
		*/
		function add_scripts(){
		wp_enqueue_script("prototype");
		wp_enqueue_script('fun_with_sidebar_tabs_script', '/wp-content/plugins/fun-with-sidebar-tabs/js/script.js', array("prototype") , 0.1); 
		}
		
		function register_tabbed_sidebar(){
		if ( function_exists('register_sidebar') ) {
    	    register_sidebar(array(
    		    'name' => 'Tabbed Sidebar',
				'before_widget' => '<li class="tab">',
        		'after_widget' => '</div></li>',
        		'before_title' => '<h3>',
        		'after_title' => '</h3><div class="tab-content">',
    		));
		}
		}
		
		/**
		* Adds a link to the stylesheet to the header
		*/
		function add_css(){
		?>
<link rel="stylesheet" href="<?php bloginfo('url') ?>/wp-content/plugins/fun-with-sidebar-tabs/css/style.css" type="text/css" media="screen"  />
<!--[if IE 6]>
<link rel="stylesheet" href="<?php bloginfo('url') ?>/wp-content/plugins/fun-with-sidebar-tabs/css/ie-style.css" type="text/css" media="screen"  />
<![endif]--> 
		<?php
		}
		

    }
}

//instantiate the class
if (class_exists('fw_tabbed_sidebars')) {
	$fw_tabbed_sidebars = new fw_tabbed_sidebars();
	
	/**
	* Outputs the sidebar
	*/
	function the_tabbed_sidebar() {
	
	echo '<div id="tabs_surround"><div id="tabdisplay"><ul class="tabbed_sidebar">';
	if ( function_exists('dynamic_sidebar') ) { 
	dynamic_sidebar('Tabbed Sidebar');
	 } 
	echo '</ul>';
	echo '</div></div>';
		
	}
	
}




?>